The specified JRE installation does not exist异常的原因和解决办法

服务器

浏览数:110

2019-9-17

AD:资源代下载服务

  今天,回首为了学习新框架,于是将JDK的版本从1.7开发标配版换成了1.8,一切前期很顺利,完成了新框架的测试和体验,但在运行原有项目的时候问题出现了,爆出了The specified JRE installation does not exis 这个异常,通过这个异常的字面意思我们知道是说”指定的JRE没有安装”,但神他喵的我明明安装了好嘛(# ̄~ ̄#),我还特意打开cmd黑窗口敲了java和java -version命令,一切都告诉我我确实安装了,话说要是没安装的话,新框架也运行不了。

  OK,既然问题已经出现了,那我们就来一步步排查好了,首先通过黑窗口的命令我们知道我们其实是安装了的,在其他地方也生效了,那么既然Eclipse报错了,说明问题还是出在Eclipse本身上,那么就排查开始:

  第一步,首先确认JRE是否真的配置正确:

  

  我们可以看到,我确实是配置了的,那既然Eclipse配置没问题,那就去排查Tomcat,是否有问题:

  

  打开Tomcat的配置页面,点击编辑按钮,我们就会看到,虽然我们配置了新的jdk,但是原有的Tomcat还是指向的原有的jdk,所以它找不到原有的jdk了,因为小编已经解决了问题,就不特意给大家问题复现了,只给大家讲一下解决办法。OK,既然已经知道了原因,那么就好办了,我们可以把这个服务删掉或是点击编辑,在原有的或是新的Tomcat配置里将JDK改为现在的JDK就可以了,如下:

  

  到了这一步,问题就基本解决了,还有最后一步,别忘了将我们原来的Service下的Tomcat删掉哦:

  

  之后再次添加新的Tomcat,启动项目就OK了,是不是很简单,其实一些BUG大多都是我们不够细心引起的,只要细心一点,就不会出现这样的乌龙了。最后,感谢大家的观看,觉得好的就点个赞吧(*^▽^*).

 

作者:回首笑人间